The GUI does not work in ubuntu 10.04

Support for HandBrake on Linux, Solaris, and other Unix-like platforms
Forum rules
An Activity Log is required for support requests. Please read How-to get an activity log? for details on how and why this should be provided.
yelo3
Posts: 3
Joined: Thu Jan 28, 2010 7:44 pm

The GUI does not work in ubuntu 10.04

Post by yelo3 » Sun Jan 31, 2010 1:36 pm

I'm running the developement version of ubuntu 10.04 and I downloaded and installed the deb from your site. since there is no version for 10.04 I tried the one for 9.10.
It installs without problems, but when I run it there is a bug that makes the gui not usable.

For example if I change the file format to MKV, the 3 checkboxes for MP4 does not grayed-out as it should happen
Another example is that the "Pictures" tab is always grayed-out, even if I select a source file (which is correctly recognized in the "source" widgets)
If I move to the "Video" tab and change from "constant quality" to "avg bitrate", the bitrate widget remains greyed-out and the quality bar remains selected (though the raid button is over "constant quality"). The same happens if I change to "Target size"
Also the "Start" button is never enabled.

Maybe there are other gui problems.

I executed ghb from the terminal, but it does not output any useful debug

User avatar
JohnAStebbins
HandBrake Team
Posts: 5441
Joined: Sat Feb 09, 2008 7:21 pm

Re: The GUI does not work in ubuntu 10.04

Post by JohnAStebbins » Sun Jan 31, 2010 5:25 pm

When 10.04 becomes official, then I'll worry about testing handbrake on it. Until then, I'm going to assume the bugs are in ubuntu.

towolf
Posts: 19
Joined: Sun Sep 14, 2008 11:38 am

Re: The GUI does not work in ubuntu 10.04

Post by towolf » Wed Feb 03, 2010 1:27 pm

No need to feel prodded when I leave this here, FYI.

I compiled svn trunk on Lucid with all libraries up-to-date. This is printed on startup:

Code: Select all

$ ghb

(process:31552): GStreamer-WARNING **: The GStreamer function gst_init_get_option_group() was
	called, but the GLib threading system has not been initialised
	yet, something that must happen before any other GLib function
	is called. The application needs to be fixed so that it calls
	   if (!g_thread_supported ()) g_thread_init(NULL);
	as very first thing in its main() function. Please file a bug
	against this application.

** (ghb:31552): WARNING **: libhal_ctx_init failed: unknown

** (ghb:31552): WARNING **: returning null (AudioTrack)
HAL is of course deprecated. Things are supposed to use libgudev nowadays.

Problem seems to be that the libhb scanner detects what the source is, but somehow the ghb UI doesn’t. (Picture Tab and Settings are blank)

Code: Select all

[14:17:49] dvd: not a dvd - trying as a stream/file instead
Input #0, avi, from '/home/towolf/movie.avi':
  Duration: 01:23:29.80, start: 0.000000, bitrate: 1172 kb/s
    Stream #0.0: Video: msmpeg4, yuv420p, 544x416, 23,98 tbr, 23,98 tbn, 23,98 tbc
    Stream #0.1: Audio: mp3, 48000 Hz, 1 channels, s16, 128 kb/s
[14:17:49] scan: decoding previews for title 1
[14:17:49] scan: 10 previews, 544x416, 23,976 fps, autocrop = 0/0/2/0, aspect 1,31:1, PAR 1:1
[14:17:49] scan: title (0) job->width:544, job->height:416
[14:17:49] libhb: scan thread found 1 valid title(s)

User avatar
JohnAStebbins
HandBrake Team
Posts: 5441
Joined: Sat Feb 09, 2008 7:21 pm

Re: The GUI does not work in ubuntu 10.04

Post by JohnAStebbins » Thu Feb 04, 2010 2:44 am

This error looks like a problem with 10.04

Code: Select all

(process:31552): GStreamer-WARNING **: The GStreamer function gst_init_get_option_group() was
   called, but the GLib threading system has not been initialised
   yet, something that must happen before any other GLib function
   is called. The application needs to be fixed so that it calls
      if (!g_thread_supported ()) g_thread_init(NULL);
   as very first thing in its main() function. Please file a bug
   against this application.
Almost the first thing I do in main is set up g_thread. It is certainly initialized before registering gst options.

Code: Select all

int
main (int argc, char *argv[])
{
    signal_user_data_t *ud;
    GValue *preset;
    GError *error = NULL;
    GOptionContext *context;

    mm_flags = mm_support();
#ifdef ENABLE_NLS
    bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
    bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
    textdomain (GETTEXT_PACKAGE);
#endif

#ifdef PTW32_STATIC_LIB
    pthread_win32_process_attach_np();
    pthread_win32_thread_attach_np();
#endif

    if (!g_thread_supported())
        g_thread_init(NULL);
    context = g_option_context_new ("- Rip and encode DVD or MPEG file");
    g_option_context_add_main_entries (context, entries, GETTEXT_PACKAGE);
    g_option_context_add_group (context, gtk_get_option_group (TRUE));
#if !defined(_WIN32)
    g_option_context_add_group (context, gst_init_get_option_group ());
#endif
    g_option_context_parse (context, &argc, &argv, &error);
    g_option_context_free(context);

libgudev isn't considered to have a stable API, even in the current releases of fedora and ubuntu ...

Code: Select all

/usr/include/gudev-1.0/gudev/gudev.h:25:2: error: #error GUdev is currently unstable API. You must define G_UDEV_API_IS_SUBJECT_TO_CHANGE to acknowledge this.
The only thing I use hal for is checking whether a device is a DVD drive. So replacing it when it's appropriate will be easy.

towolf
Posts: 19
Joined: Sun Sep 14, 2008 11:38 am

Re: The GUI does not work in ubuntu 10.04

Post by towolf » Thu Feb 04, 2010 10:40 am

libgudev isn't considered to have a stable API, even in the current releases of fedora and ubuntu ...
I know that the API is not stable yet. But at least Ubuntu is pushing hard for removal of HAL and many apps already moved to udev (even packages in Universe not listed here: https://wiki.ubuntu.com/Halsectomy )

towolf
Posts: 19
Joined: Sun Sep 14, 2008 11:38 am

Re: The GUI does not work in ubuntu 10.04

Post by towolf » Fri Feb 12, 2010 1:16 pm

JohnAStebbins wrote:This error looks like a problem with 10.04

Code: Select all

(process:31552): GStreamer-WARNING **: The GStreamer function gst_init_get_option_group() was
   called, but the GLib threading system has not been initialised
   yet, something that must happen before any other GLib function
   is called. The application needs to be fixed so that it calls
      if (!g_thread_supported ()) g_thread_init(NULL);
   as very first thing in its main() function. Please file a bug
   against this application.
Almost the first thing I do in main is set up g_thread. It is certainly initialized before registering gst options.

Code: Select all

int
main (int argc, char *argv[])
{
    signal_user_data_t *ud;
    GValue *preset;
    GError *error = NULL;
    GOptionContext *context;

    mm_flags = mm_support();
#ifdef ENABLE_NLS
    bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
    bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
    textdomain (GETTEXT_PACKAGE);
#endif

#ifdef PTW32_STATIC_LIB
    pthread_win32_process_attach_np();
    pthread_win32_thread_attach_np();
#endif

    if (!g_thread_supported())
        g_thread_init(NULL);
    context = g_option_context_new ("- Rip and encode DVD or MPEG file");
    g_option_context_add_main_entries (context, entries, GETTEXT_PACKAGE);
    g_option_context_add_group (context, gtk_get_option_group (TRUE));
#if !defined(_WIN32)
    g_option_context_add_group (context, gst_init_get_option_group ());
#endif
    g_option_context_parse (context, &argc, &argv, &error);
    g_option_context_free(context);

Hm, I moved g_thread_init() a couple lines up in that file and the error message on stdout just disappeared. But the bug is still there. No picture properties, no picture settings dialog.

curtlee2002
Posts: 2
Joined: Fri Feb 12, 2010 6:05 pm

Re: The GUI does not work in ubuntu 10.04

Post by curtlee2002 » Fri Feb 12, 2010 6:39 pm

First, I know this isn't the cause of the gui not working properly, but I thought it should be shown that HAL is deprecated. All distros should consider HAL deprecated not just with Ubuntu or Fedora. http://www.freedesktop.org/wiki/Software/hal

Second, has anyone found a workaround to get the gui working in lucid. Maybe setting an environment variable or etc... The gui it's self isn't acting right in lucid. When "Format:" is changed to MKV, the MP4 checkboxes around it no longer gray out so you can't select them. When under the video tab, if "Bitrate" or "Target Size" is selected, bitrate or file size settings never un-gray so they can be changed. I remember when karmic was in alpha there where similar gui problems with Eclipse (and others) due to the new gnome deprecating a few gtk things. Setting an environment variable was a great workaround until Eclipse could get around to changing the deprecated gtk things they were using at the time.

Well until a solution or workaround is found with either Ubuntu or Handbrake, I am using the HandBrakeCLI with a script I made. The HandBrakeCLI is working great.

Thank you for your time. You guys are doing a great job on handbrake.

-Curtis Lee Bolin

jacka
Posts: 1
Joined: Tue Feb 16, 2010 11:49 am

Re: The GUI does not work in ubuntu 10.04

Post by jacka » Tue Feb 16, 2010 8:48 pm

I have noticed that updating to the GNOME 2.30 pre-releases (2.9x) breaks ghb in the same way you describe under openSUSE 11.2. In addition, it broke h264enc which I use for dvd's that ghb cannot handle most of which are foreign martial arts. In my case, a rollback to 2.28 stable cleared things up.

User avatar
JohnAStebbins
HandBrake Team
Posts: 5441
Joined: Sat Feb 09, 2008 7:21 pm

Re: The GUI does not work in ubuntu 10.04

Post by JohnAStebbins » Tue Feb 23, 2010 12:13 am

Yes, hal is depricated. Also, yes, hal still works on a default install of lucid. Since it is easier to maintain backward compatibility with older distros by keeping hal, that's the way it's going to be for a while. When I get the urge to drop support for older distros, I have a patch ready to replace hal with libudev.

As for the bug that breaks the gui, it should be fixed now in svn 3135 http://trac.handbrake.fr/changeset/3135

towolf
Posts: 19
Joined: Sun Sep 14, 2008 11:38 am

Re: The GUI does not work in ubuntu 10.04

Post by towolf » Tue Feb 23, 2010 12:58 am

Can you post the patch? I have HAL disabled. It speeds up booting and why load an unnecessary daemon?

towolf
Posts: 19
Joined: Sun Sep 14, 2008 11:38 am

Re: The GUI does not work in ubuntu 10.04

Post by towolf » Tue Feb 23, 2010 1:05 am

Oh, and thanks for fixing the picture thingies, of course.

User avatar
JohnAStebbins
HandBrake Team
Posts: 5441
Joined: Sat Feb 09, 2008 7:21 pm

Re: The GUI does not work in ubuntu 10.04

Post by JohnAStebbins » Tue Feb 23, 2010 1:54 am


bikerider46
Posts: 3
Joined: Tue Feb 23, 2010 12:29 pm

Re: The GUI does not work in ubuntu 10.04

Post by bikerider46 » Tue Feb 23, 2010 12:32 pm

How do you apply that patch? Sorry i am a newbie... TIA :mrgreen:

Creteil
Posts: 3
Joined: Sat Feb 20, 2010 11:18 pm

Re: The GUI does not work in ubuntu 10.04

Post by Creteil » Tue Feb 23, 2010 2:47 pm

bikerider46 wrote:How do you apply that patch? Sorry i am a newbie... TIA :mrgreen:

Code: Select all

man patch
A++

User avatar
JohnAStebbins
HandBrake Team
Posts: 5441
Joined: Sat Feb 09, 2008 7:21 pm

Re: The GUI does not work in ubuntu 10.04

Post by JohnAStebbins » Tue Feb 23, 2010 3:24 pm

How do you apply that patch?
Assuming you've already built HandBrake from source once.
Download the patch, name it something like hb.patch

Code: Select all

cd hb-trunk
patch -p0 < hb.patch
cd build
make

bikerider46
Posts: 3
Joined: Tue Feb 23, 2010 12:29 pm

Re: The GUI does not work in ubuntu 10.04

Post by bikerider46 » Tue Feb 23, 2010 9:25 pm

Thats over my head... I just installed the .deb file. Any chance of a patched 64 bit deb here??? TIA

User avatar
JohnAStebbins
HandBrake Team
Posts: 5441
Joined: Sat Feb 09, 2008 7:21 pm

Re: The GUI does not work in ubuntu 10.04

Post by JohnAStebbins » Tue Feb 23, 2010 9:37 pm

You'll have to wait for the next snapshot. And I'll make no guarantees that it will work on lucid since I will only be building for karmic.

bikerider46
Posts: 3
Joined: Tue Feb 23, 2010 12:29 pm

Re: The GUI does not work in ubuntu 10.04

Post by bikerider46 » Tue Feb 23, 2010 9:50 pm

Thank you very much! It is a great program and you are doing great work! Will keep my fingers...

maugino
Posts: 1
Joined: Wed Feb 24, 2010 6:06 pm

Re: The GUI does not work in ubuntu 10.04

Post by maugino » Wed Feb 24, 2010 6:11 pm

Not sure if it helps, I also experienced the same issue since Lucid. I've applied the patch and then compiled from sources (trunk). Works like a charm. I also did a deb package using checkinstall. How do I about posting my deb file?

Regards

Chris

User avatar
s55
HandBrake Team
Posts: 9522
Joined: Sun Dec 24, 2006 1:05 pm

Re: The GUI does not work in ubuntu 10.04

Post by s55 » Wed Feb 24, 2010 6:36 pm

You don't. Unoffical builds are not posted here. A new snapshot should be out soon. Just wait for that to be put out.

dan457
Posts: 4
Joined: Tue Mar 02, 2010 6:41 am

Re: The GUI does not work in ubuntu 10.04

Post by dan457 » Tue Mar 02, 2010 6:48 am

Also tried the patch and works great here. Would also like to note for those with quad core or better with the newer kernel I'm getting 96%-100% cpu usage per core now. (up from the 65% average per core before) Encoding 10-15 fps faster than before than I did with jaunty and svn3036 on high profile. :-)

User avatar
Rodeo
HandBrake Team
Posts: 12160
Joined: Tue Mar 03, 2009 8:55 pm

Re: The GUI does not work in ubuntu 10.04

Post by Rodeo » Tue Mar 02, 2010 10:52 am

dan457 wrote:Would also like to note for those with quad core or better with the newer kernel I'm getting 96%-100% cpu usage per core now. (up from the 65% average per core before) Encoding 10-15 fps faster than before than I did with jaunty and svn3036 on high profile. :-)
http://x264dev.multimedia.cx/?p=185

yelo3
Posts: 3
Joined: Thu Jan 28, 2010 7:44 pm

Re: The GUI does not work in ubuntu 10.04

Post by yelo3 » Fri Mar 19, 2010 7:22 pm

Hi back, ubuntu 10.04 is on beta from today, so I think that more and more people will move on it.
I'm now trying the svn3154 snapshot deb, which seems to work well.

ZAP
Posts: 1
Joined: Fri Mar 26, 2010 3:03 am

Re: The GUI does not work in ubuntu 10.04

Post by ZAP » Fri Mar 26, 2010 3:06 am

Where did you get the snapshot deb? From SVN? Lucid works much better for me than Karmic ever did, but I needs my Handbrake.

yelo3
Posts: 3
Joined: Thu Jan 28, 2010 7:44 pm

Re: The GUI does not work in ubuntu 10.04

Post by yelo3 » Fri Mar 26, 2010 9:29 am

If I'm not wrong, in another section of the forum there's a link to the snapshot files

Post Reply